Debian Bug report logs - #591073
linux-image-2.6.32-5-amd64: Suspend-to-RAM regression

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Josef Spillner <2005@kuarepoti-dju.net>

Date: Sat, 31 Jul 2010 16:45:02 UTC

Severity: normal

Found in version 2.6.32-15

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, 2005@kuarepoti-dju.net, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Sat, 31 Jul 2010 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josef Spillner <2005@kuarepoti-dju.net>:
New Bug report received and forwarded. Copy sent to 2005@kuarepoti-dju.net, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 31 Jul 2010 16:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josef Spillner <2005@kuarepoti-dju.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression
Date: Sat, 31 Jul 2010 18:42:03 +0200
Package: linux-2.6
Version: 2.6.32-15
Severity: normal


Suspending the computer to RAM (e.g., from the KDE menu) works fine in the previous kernel linux-image-2.6.32-3-amd64.
But with the current -5 kernel it has ceased to work. The machine falls asleep but the system doesn't come up again
afterwards when the hardware runs again but nothing is shown on the screen.
This is on a fully up-to-date squeeze system. The bug was already present with the same kernel on last week's squeeze.
It's clearly a regression, as it's the first Debian kernel which doesn't get this right on this machine.

-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
sys_vendor: System manufacturer
product_name: System Product Name
product_version: System Version
chassis_vendor: Chassis Manufacture
chassis_version: Chassis Version
bios_vendor: American Megatrends Inc.
bios_version: 1006   
board_vendor: ASUSTeK Computer INC.
board_name: M4A78-EM
board_version: Rev X.0x

** PCI devices:
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS780 Host Bridge [1022:9600]
	Subsystem: ASUSTeK Computer Inc. Device [1043:82f1]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: ASUSTeK Computer Inc. RS880 PCI to PCI bridge (int gfx) [1043:9602] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fe800000-fe9fffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:0a.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 5) [1022:9609] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fea00000-feafffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA Controller [IDE mode] [1002:4390] (prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at b000 [size=8]
	Region 1: I/O ports at a000 [size=4]
	Region 2: I/O ports at 9000 [size=8]
	Region 3: I/O ports at 8000 [size=4]
	Region 4: I/O ports at 7000 [size=16]
	Region 5: Memory at fe7ffc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe7fe000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe7fd000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at fe7ff800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fe7fc000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fe7fb000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at fe7ff400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 3a)
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:14.1 IDE interface [0101]: ATI Technologies Inc SB700/SB800 IDE Controller [1002:439c] (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ff00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ATIIXP_IDE

00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
	Subsystem: ASUSTeK Computer Inc. Device [1043:837b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin ? routed to IRQ 16
	Region 0: Memory at fe7f4000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384] (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=64
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: feb00000-febfffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:14.5 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller [1002:4399] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at fe7fa000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration [1022:1200]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Address Map [1022:1201]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller [1022:1202]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control [1022:1203]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Link Control [1022:1204]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon HD 3200 Graphics [1002:9610] (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82f1]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at c000 [size=256]
	Region 2: Memory at fe9f0000 (32-bit, non-prefetchable) [size=64K]
	Region 5: Memory at fe800000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>

01:05.1 Audio device [0403]: ATI Technologies Inc RS780 Azalia controller [1002:960f]
	Subsystem: ASUSTeK Computer Inc. Device [1043:82f1]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at fe9e8000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8385]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 26
	Region 0: I/O ports at d800 [size=256]
	Region 2: Memory at feaff000 (64-bit, non-prefetchable) [size=4K]
	Expansion ROM at feac0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

03:07.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8185 IEEE 802.11a/b/g Wireless LAN Controller [10ec:8185] (rev 20)
	Subsystem: Realtek Semiconductor Co., Ltd. RTL-8185 IEEE 802.11a/b/g Wireless LAN Controller [10ec:8185]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (8000ns min, 16000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at e800 [size=256]
	Region 1: Memory at febffc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: rtl8180


** USB devices:
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 046d:c061 Logitech, Inc. RX1500 Laser Mouse
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 0d8c:0105 C-Media Electronics, Inc. CM108 Audio Controller
Bus 001 Device 004: ID 0566:3108 Monterey International Corp. 
Bus 001 Device 003: ID 0566:3021 Monterey International Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.33     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.97.2     tools for generating an initramfs
ii  linux-base                    2.6.32-15  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
ii  firmware-linux-free           2.6.32-15  Binary firmware for various driver

Versions of packages linux-image-2.6.32-5-amd64 suggests:
ii  grub                          0.97-61    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: false
  linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/bootloader-test-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/bootloader-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/prerm/would-invalidate-boot-loader-2.6.32-5-amd64: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Sat, 31 Jul 2010 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 31 Jul 2010 21:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 591073@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Josef Spillner <2005@kuarepoti-dju.net>, 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression
Date: Sat, 31 Jul 2010 23:13:08 +0200
tags 591073 moreinfo
stop

On Sat, Jul 31, 2010 at 06:42:03PM +0200, Josef Spillner wrote:
> Package: linux-2.6
> Version: 2.6.32-15
> Severity: normal
> 
> 
> Suspending the computer to RAM (e.g., from the KDE menu) works fine in the previous kernel linux-image-2.6.32-3-amd64.
> But with the current -5 kernel it has ceased to work. The machine falls asleep but the system doesn't come up again
> afterwards when the hardware runs again but nothing is shown on the screen.
> This is on a fully up-to-date squeeze system. The bug was already present with the same kernel on last week's squeeze.
> It's clearly a regression, as it's the first Debian kernel which doesn't get this right on this machine.

outdated test against 2.6.32-18 from unstable,
thanks.




Added tag(s) moreinfo. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Sat, 31 Jul 2010 21:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Sun, 01 Aug 2010 06:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josef Spillner <2005@kuarepoti-dju.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Aug 2010 06:27:05 GMT) Full text and rfc822 format available.

Message #17 received at 591073@bugs.debian.org (full text, mbox):

From: Josef Spillner <2005@kuarepoti-dju.net>
To: maximilian attems <max@stro.at>
Cc: 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression
Date: Sun, 1 Aug 2010 08:22:42 +0200
> outdated test against 2.6.32-18 from unstable,

Will do so in two days when that version enters testing. Is it possible 
through bugs.d.o to get a notification when a package which fixes a bug becomes 
available for a certain distribution or suite? This would be an awesome 
feature.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Sun, 01 Aug 2010 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Aug 2010 21:09:05 GMT) Full text and rfc822 format available.

Message #22 received at 591073@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Josef Spillner <2005@kuarepoti-dju.net>
Cc: 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression
Date: Sun, 1 Aug 2010 22:56:40 +0200
On Sun, Aug 01, 2010 at 08:22:42AM +0200, Josef Spillner wrote:
> > outdated test against 2.6.32-18 from unstable,
> 
> Will do so in two days when that version enters testing. Is it possible 
> through bugs.d.o to get a notification when a package which fixes a bug becomes 
> available for a certain distribution or suite? This would be an awesome 
> feature.

unstable versions just install fine in testing, no point in
waiting for transition.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Mon, 02 Aug 2010 19:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josef Spillner <2005@kuarepoti-dju.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 02 Aug 2010 19:36:13 GMT) Full text and rfc822 format available.

Message #27 received at 591073@bugs.debian.org (full text, mbox):

From: Josef Spillner <2005@kuarepoti-dju.net>
To: maximilian attems <max@stro.at>
Cc: 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression
Date: Mon, 2 Aug 2010 21:31:26 +0200
Am Sonntag, 1. August 2010, 22:56:40 schrieb maximilian attems:
> unstable versions just install fine in testing, no point in
> waiting for transition.

Well, so much for that theory: One needs at least a newer extlinux installed, 
otherwise the postinst fails. Yet one more case of missing tight 
dependencies.

Anyway, after taking this hurdle, all I can say is that the issue remains.

root@bomba:~# apt-cache policy linux-image-2.6.32-5-amd64
linux-image-2.6.32-5-amd64:
  Installiert: 2.6.32-18
  Kandidat: 2.6.32-18
  Versions-Tabelle:
 *** 2.6.32-18 0
        500 http://ftp.de.debian.org sid/main Packages
        100 /var/lib/dpkg/status
     2.6.32-15 0
        990 http://ftp.de.debian.org squeeze/main Packages




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Mon, 02 Aug 2010 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 02 Aug 2010 22:18:03 GMT) Full text and rfc822 format available.

Message #32 received at 591073@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Josef Spillner <2005@kuarepoti-dju.net>, 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression
Date: Tue, 3 Aug 2010 00:05:09 +0200
On Mon, Aug 02, 2010 at 09:31:26PM +0200, Josef Spillner wrote:
> Am Sonntag, 1. August 2010, 22:56:40 schrieb maximilian attems:
> > unstable versions just install fine in testing, no point in
> > waiting for transition.
> 
> Well, so much for that theory: One needs at least a newer extlinux installed, 
> otherwise the postinst fails. Yet one more case of missing tight 
> dependencies.
> 
> Anyway, after taking this hurdle, all I can say is that the issue remains.
> 

well then you have either to go for the suspend to ram debug things
or test latest 2.6.35 in experimental.

second choice is easier and best advice.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Mon, 09 Aug 2010 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josef Spillner <2005@kuarepoti-dju.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Aug 2010 13:12:03 GMT) Full text and rfc822 format available.

Message #37 received at 591073@bugs.debian.org (full text, mbox):

From: Josef Spillner <2005@kuarepoti-dju.net>
To: maximilian attems <max@stro.at>
Cc: 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression
Date: Mon, 9 Aug 2010 15:01:48 +0200
The issue remains with linux-image-2.6.35-trunk-amd64 in today's version 
2.6.35-1~experimental.1. This leaves me with the "debug things".




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Mon, 09 Aug 2010 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Aug 2010 22:09:04 GMT) Full text and rfc822 format available.

Message #42 received at 591073@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Josef Spillner <2005@kuarepoti-dju.net>
Cc: 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression
Date: Tue, 10 Aug 2010 00:04:50 +0200
On Mon, 09 Aug 2010, Josef Spillner wrote:

> The issue remains with linux-image-2.6.35-trunk-amd64 in today's version 
> 2.6.35-1~experimental.1. This leaves me with the "debug things".

Documentation/power/basic-pm-debugging.txt is the guide for
nailing what is going wrong. also in this case please report
upstream in bugzilla.kernel.org and let us know upstream bug nr
for tracking thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Tue, 10 Aug 2010 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josef Spillner <2005@kuarepoti-dju.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Aug 2010 07:27:03 GMT) Full text and rfc822 format available.

Message #47 received at 591073@bugs.debian.org (full text, mbox):

From: Josef Spillner <2005@kuarepoti-dju.net>
To: maximilian attems <max@stro.at>
Cc: 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression
Date: Tue, 10 Aug 2010 09:19:55 +0200
Am Dienstag, 10. August 2010, 00:04:50 schrieben Sie:
> Documentation/power/basic-pm-debugging.txt is the guide for
> nailing what is going wrong. also in this case please report
> upstream in bugzilla.kernel.org and let us know upstream bug nr
> for tracking thanks.

There you go:
https://bugzilla.kernel.org/show_bug.cgi?id=16552




Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=16552'. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Tue, 10 Aug 2010 12:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Sat, 21 Aug 2010 11:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josef Spillner <2005@kuarepoti-dju.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 21 Aug 2010 11:27:05 GMT) Full text and rfc822 format available.

Message #54 received at 591073@bugs.debian.org (full text, mbox):

From: Josef Spillner <2005@kuarepoti-dju.net>
To: maximilian attems <max@stro.at>
Cc: 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression -- Possible solution
Date: Sat, 21 Aug 2010 13:18:51 +0200
An update to this report which might help with the solution: While the old 
system based on Kernel package version 2.6.32-3 worked, I've experienced 
graphics slowdowns after resume. Just today I've come across #587722 which 
seems to be related. It hints at installing firmware-linux. Its dependency 
linux-firmware-free was already installed, but firmware-linux-nonfree was not 
yet present.

When I installed it, I've experienced the same issue as Pietro, the submitter 
of #587722, namely that Kernel 2.6.32-3 doesn't resume at all anymore. 
However, with the newer kernel packages and in particular 2.6.35-trunk the 
resume works flawlessly now after several tries, and on top of it it also fixes 
the slowdown issue after resume.

Therefore, in summary, Kernel 2.6.35 + firmware-linux-nonfree is the best 
combination for my system. Now I guess the next step is to find out if the non-
free part is really needed. If my observations are correct, it might make 
sense to retitle the report accordingly.

I will also add a note to #587722.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591073; Package linux-2.6. (Sat, 21 Aug 2010 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 21 Aug 2010 15:39:03 GMT) Full text and rfc822 format available.

Message #59 received at 591073@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Josef Spillner <2005@kuarepoti-dju.net>, 591073@bugs.debian.org
Subject: Re: Bug#591073: linux-image-2.6.32-5-amd64: Suspend-to-RAM regression -- Possible solution
Date: Sat, 21 Aug 2010 16:07:08 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-08-21 at 13:18 +0200, Josef Spillner wrote:
> An update to this report which might help with the solution: While the old 
> system based on Kernel package version 2.6.32-3 worked, I've experienced 
> graphics slowdowns after resume. Just today I've come across #587722 which 
> seems to be related. It hints at installing firmware-linux. Its dependency 
> linux-firmware-free was already installed, but firmware-linux-nonfree was not 
> yet present.
[...]

ATI/AMD Radeon GPUs require some microcode for 3D acceleration, which is
loaded by the radeon driver and is packaged in firmware-linux-nonfree.
However, following Debian policy the kernel packages do not depend on or
recommend this package.  All other functionality of the radeon driver
(including suspend/resume) should be available without the 3D microcode
installed.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 21 Aug 2010 15:42:02 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 23 Aug 2010 18:06:38 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 27 Aug 2010 04:03:05 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 27 Aug 2010 04:03:05 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Sat, 08 Jun 2013 10:19:34 GMT) Full text and rfc822 format available.

Notification sent to Josef Spillner <2005@kuarepoti-dju.net>:
Bug acknowledged by developer. (Sat, 08 Jun 2013 10:19:34 GMT) Full text and rfc822 format available.

Message #72 received at 591073-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 590935-done@bugs.debian.org, 591073-done@bugs.debian.org, 591777-done@bugs.debian.org, 591778-done@bugs.debian.org, 592040-done@bugs.debian.org, 592207-done@bugs.debian.org, 592333-done@bugs.debian.org, 406419-done@bugs.debian.org
Subject: Closing
Date: Sat, 8 Jun 2013 12:15:57 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.0 / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Jul 2013 07:38:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:40:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.